Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FSDK.PDFACompliance Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| ConvertPDFFile (src_pdf_path, saved_pdf_path, convert_to_version, progress_callback)
| Convert a PDF file with specified PDFA version. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| Verify (verify_version, src_pdf_path, first_page_index, last_page_index, progress_callback)
| Verify a PDF file with specified PDFA version. More...

## Static Public Attributes
static | e_VersionPDFA1a
| Enumeration for PDF/A version. More...
static | e_VersionPDFA1b
| PDF/A-1b.
static | e_VersionPDFA2a
| PDF/A-2a.
static | e_VersionPDFA2b
| PDF/A-2b.
static | e_VersionPDFA2u
| PDF/A-2u.
static | e_VersionPDFA3a
| PDF/A-3a.
static | e_VersionPDFA3b
| PDF/A-3b.
static | e_VersionPDFA3u
| PDF/A-3u.

## Detailed Description

This class can be used to verify if a PDF file matches a PDF/A version or convert a PDF file to a PDF/A version. Please ensure FSDK.ComplianceEngine has been initialized successfully.

See also
  FSDK.ComplianceEngine

## Member Function Documentation

## ◆ ConvertPDFFile()

FSDK.PDFACompliance.ConvertPDFFile | ( | src_pdf_path | ,
|  | saved_pdf_path | ,
|  | convert_to_version | ,
|  | progress_callback |
| ) |  |

Convert a PDF file with specified PDFA version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be converted. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving the converted PDF file. This should not be an empty string.
  [in] | convert_to_version | PDFA version to convert to.Please refer to values starting from FSDK.PDFACompliance.e_VersionPDFA1a and this should be one of these values.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be null. Default value: null.

Returns
  A FSDK.ResultInformation object.

## ◆ IsEmpty()

FSDK.PDFACompliance.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ Verify()

FSDK.PDFACompliance.Verify | ( | verify_version | ,
|  | src_pdf_path | ,
|  | first_page_index | ,
|  | last_page_index | ,
|  | progress_callback |
| ) |  |

Verify a PDF file with specified PDFA version.

Parameters

  [in] | verify_version | PDFA version to verify.
  [in] | src_pdf_path | A complete path of source PDF file to be verified. This should not be an empty string.
  [in] | first_page_index | Index of the first page to be verified, staring from 0. Default value: 0.
  [in] | last_page_index | Index of the last page to be verified. If this is -1, that means all the pages of the source PDF file will be verified and parameter first_page_index would be ignored. Default value: -1.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be null. Default value: null.

Returns
  A FSDK.ResultInformation object.

## Member Data Documentation

## ◆ e_VersionPDFA1a

FSDK.PDFACompliance.e_VersionPDFA1a
| static

Enumeration for PDF/A version.

Values of this enumeration should be used alone.

PDF/A-1a.